| OpenNI 2.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Friends
openni::VideoMode Class Reference

`#include <OpenNI.h>`

List of all members.

## Public Member Functions

| VideoMode ()
| VideoMode (const VideoMode &other)
int | getFps () const
PixelFormat | getPixelFormat () const
int | getResolutionX () const
int | getResolutionY () const
VideoMode & | operator= (const VideoMode &other)
void | setFps (int fps)
void | setPixelFormat (PixelFormat format)
void | setResolution (int resolutionX, int resolutionY)

## Friends

class | SensorInfo
class | VideoFrameRef
class | VideoStream

## Detailed Description

Encapsulates a group of settings for a VideoStream. Settings stored include frame rate, resolution, and pixel format.

This class is used as an input for changing the settings of a VideoStream, as well as an output for reporting the current settings of that class. It is also used by SensorInfo to report available video modes of a stream.

Recommended practice is to use SensorInfo::getSupportedVideoModes() to obtain a list of valid video modes, and then to use items from that list to pass new settings to VideoStream. This is much less likely to produce an invalid video mode than instantiating and manually changing objects of this class.

## Constructor & Destructor Documentation

openni::VideoMode::VideoMode | ( |  | ) | `[inline]`

Default constructor, creates an empty VideoMode object. Application programs should, in most cases, use the copy constructor to copy an existing valid video mode. This is much less error prone that creating and attempting to configure a new VideoMode from scratch.

openni::VideoMode::VideoMode | ( | const VideoMode & | other | ) | `[inline]`

Copy constructor, creates a new VideoMode identical to an existing VideoMode.

Parameters:

  [in] | other | Existing VideoMode to copy.

## Member Function Documentation

int openni::VideoMode::getFps | ( |  | ) | const`[inline]`

Getter function for the frame rate of this VideoMode.

Returns:
  Current frame rate, measured in frames per second.

PixelFormat openni::VideoMode::getPixelFormat | ( |  | ) | const`[inline]`

Getter function for the pixel format of this VideoMode.

Returns:
  Current pixel format setting of this VideoMode.

int openni::VideoMode::getResolutionX | ( |  | ) | const`[inline]`

Getter function for the X resolution of this VideoMode.

Returns:
  Current horizontal resolution of this VideoMode, in pixels.

int openni::VideoMode::getResolutionY | ( |  | ) | const`[inline]`

Getter function for the Y resolution of this VideoMode.

Returns:
  Current vertical resolution of this VideoMode, in pixels.

VideoMode& openni::VideoMode::operator= | ( | const VideoMode & | other | ) | `[inline]`

Assignment operator. Sets the pixel format, frame rate, and resolution of this VideoMode to equal that of a different VideoMode.

Parameters:

  [in] | other | Existing VideoMode to copy settings from.

void openni::VideoMode::setFps | ( | int | fps | ) | `[inline]`

Setter function for the frame rate. Application use of this function is not recommended. Instead, use SensorInfo::getSupportedVideoModes() to obtain a list of valid video modes.

Parameters:

  [in] | fps | Desired new frame rate, measured in frames per second.

void openni::VideoMode::setPixelFormat | ( | PixelFormat | format | ) | `[inline]`

Setter function for the pixel format of this VideoMode. Application use of this function is not recommended. Instead, use SensorInfo::getSupportedVideoModes() to obtain a list of valid video modes.

Parameters:

  [in] | format | Desired new pixel format for this VideoMode.

void openni::VideoMode::setResolution | ( | int | resolutionX,
|  | int | resolutionY
| ) |  | `[inline]`

Setter function for the resolution of this VideoMode. Application use of this function is not recommended. Instead, use SensorInfo::getSupportedVideoModes() to obtain a list of valid video modes.

Parameters:

  [in] | resolutionX | Desired new horizontal resolution in pixels.
  [in] | resolutionY | Desired new vertical resolution in pixels.

## Friends And Related Function Documentation

friend class SensorInfo `[friend]`

friend class VideoFrameRef `[friend]`

friend class VideoStream `[friend]`

The documentation for this class was generated from the following file:

- OpenNI.h